# SDWAN Variable File Version 1.0
# The file attempts to organize variables into common subject matter.
# All site specific information and device specific information will be clustered seperately

# TESTBED 
TESTBED_NAME: sre-sdwan

# Timeout variables
SLEEP_10: 10
SLEEP_20: 20
SLEEP_30: 30
SLEEP_60: 60
SLEEP_90: 90
SLEEP_120: 120
WAIT_FOR_BOOT: 520

# Jump_Hosts
JH_1: cnalab@sdwan-centosserver
# JH_2: jh2
# JH_5: jh5

# TACACS
# TACACS_SECRET: L1ons@svs
# TACACS_ADMIN_USER: tacacsadminuser
# TACACS_READ_USER: tacacsreaduser

# NTP
# NTP_SERVER_PRI: 10.250.51.2  # Used for NTP sync test
# NTP_SERVER_SEC: 10.250.52.2  # Used for NTP sync test
# NTP_SERVER_AUTH: 1.4.123.16  # Used for NTP + Auth test - BWI-CSR1000V on VMI
# NTP_INTERVAL: 60
# NTP_KEY_INDEX: 1  # The key index for the authentication
# NTP_AUTH_KEY: cisco1234

# SNMP
# SNMP_V2_COMMUNITY: SVS-RW
# SNMP_SYS_LOCATION: GPK300
# SNMP_SYS_CONTACT: 02088240000
# SNMP_TRAPRECEIVER_NAME: DOCKER  #  A name has to be given and associated with the trap receiver IP
# SNMP_READ_OID: iso.3.6.1.2.1.47.1.1.1.1.11.1  # WLC serial number
# SNMP_WRITE_OID: iso.3.6.1.2.1.1.6.0  # SNMP Location OID
# SNMPV3_USER: BWI_ADMIN
# SNMPV3_KEY: cisco1234567cisco1234567

#Syslog
# SYSLOG_SERVER: 10.250.51.2

# vControllers
VERSION_18_4: 18.4.4
VMANAGE: vManage101
VMANAGE_IP: 172.18.3.3
VMANAGE_SYS_IP: 100.1.9.101
VBOND1: vBond100
VBOND1_IP: 172.18.3.2
VBOND1_SYS_IP: 100.1.9.100
# VBOND2: vbond2
# VBOND2_IP: 190.2.3.2
# VBOND2_SYS_IP: 2.0.3.2
VSMART1: vSmart104
VSMART1_IP: 172.18.3.6
VSMART1_SYS_IP: 100.1.9.104
VSMART2: vSmart105
VSMART2_IP: 172.18.3.7
VSMART2_SYS_IP: 100.1.9.105

# Node 1A - cEdge11-C1111-8P
1A: cEdge11-C1111-8P
1A-VPN511: cEdge11-VPN511
1A_sys_ip: 100.1.111.1
1A_inet1_ip: 172.18.20.9
1A_inet1_gw_ip: 172.18.20.10
#1A_vpn1_ip: 172.29.1.254 # no ospf nei on cedge11
#1A_vpn511_ip: 192.168.1.1
1A_vpn512_ip: 10.5.113.25
1A_vpn512_gw_ip: 10.5.113.100
1A_ospf_neighbor: 172.29.1.200
1A_lan_vlan: vlan1110
1A_vm_ip1: 172.29.1.10
1A_IPSEC1_INT: Tunnel1
1A_IPSEC2_INT: Tunnel1

# Node 2A-1 - pEdge3-ISR4331-1
2A1: pEdge3-ISR4331-1
2A1_sys_ip: 100.1.140.1
2A1_inet1_ip: 172.18.18.9
2A1_inet1_gw_ip: 172.18.18.10
2A1_vpn1_ip: 172.18.17.30
#2A1_vpn511_ip: 192.168.2.1
2A1_vpn512_ip: 10.5.113.28
2A_vpn512_gw_ip: 10.5.113.100
#2A_vpn1_vrrp_vip: 172.29.2.254
2A1_vpn1_switch_int: Eth1/24
2A1_inet1_switch_int: Eth1/23
2A_lan_vlan: vlan1120
2A_vm_ip1: 172.29.2.10
2A_vm_ip2: 172.29.2.11
2A1_ospf_neighbor: 100.1.140.143
2A1_ospf_external: 143.0.0.143/32
2A1_ospf_loopback_prefix: 172.30.2.200

# Topology 2A-2 - INET2 + TLOC
2A2: 2A-2
2A2_sys_ip: 2.1.2.2
2A2_inet2_ip: 190.102.2.6
2A2_inet2_gw_ip: 190.102.2.5
2A2_vpn1_ip: 172.29.2.253
2A2_vpn511_ip: 192.168.2.2
2A2_vpn512_ip: 10.2.2.39
2A2_vpn512_gw_ip: 10.2.2.254
2A2_vpn1_switch_int: Eth1/26
2A2_inet2_switch_int: Eth1/25

# Topology 3A-1 - MPLS1 + TLOC
3A1: 3A-1
3A1_sys_ip: 2.1.3.1
3A1_mpls1_ip: 10.101.3.2
3A1_mpls1_gw_ip: 10.101.3.1
3A1_vpn1_ip: 172.29.3.252
3A1_vpn511_ip: 192.168.3.1
3A1_vpn512_ip: 1.1.1.1
3A_vpn512_gw_ip: 10.2.2.254
3A_vpn1_vrrp_vip: 172.29.3.254
3A1_vpn1_switch_int: Gi1/0/36
3A1_mpls_switch_int: Eth1/28
3A_lan_vlan: vlan1130
3A_vm_ip1: 172.29.3.10
3A_vm_ip2: 172.29.3.11
3A_ospf_neighbor: 172.29.3.200
3A_ospf_external: 103.0.0.1/32

# Topology 3A-2 - INET1 + TLOC
3A2: 3A-2
3A2_sys_ip: 2.1.3.2
3A2_inet1_ip: 190.101.3.6
3A2_inet1_gw_ip: 190.101.3.5
3A2_vpn1_ip: 172.29.3.253
3A2_vpn511_ip: 192.168.3.2
3A2_vpn512_ip: 1.1.1.1
3A2_vpn1_switch_int: Gi1/0/37
3A2_inet1_switch_int: Eth1/32

# Topology 4A-1 - MPLS1 + TLOC
4A1: 4A-1
4A1_sys_ip: 2.1.4.1
4A1_mpls1_ip: 10.101.4.2
4A1_mpls1_gw_ip: 10.101.4.1
4A1_vpn1_ip: 172.29.4.252
4A1_vpn511_ip: 192.168.4.1
4A1_vpn512_ip: 10.2.2.42
4A_vpn512_gw_ip: 10.2.2.254
4A_vpn1_vrrp_vip: 172.29.4.254
4A1_vpn1_switch_int: Gi1/0/3
4A1_mpls_n9k_int: eth1/43.205
4A1_inet1_n9k_int: Eth1/43.105
4A_lan_vlan: vlan1140
4A_vm_ip1: 172.29.4.10
4A_vm_ip2: 172.29.4.11
4A_ospf_neighbor: 172.29.4.200
4A_ospf_external: 104.0.0.1/32
4A_ospf_loopback_prefix: 172.29.4.0
4A_ospf_external_lo: 172.30.4.0/24
4A_IPSEC1_INT: Tunnel4
4A_IPSEC2_INT: Tunnel4


# Topology 4A-2 - Dual INET + TLOC
4A2: 4A-2
4A2_sys_ip: 2.1.4.2
4A2_inet1_ip: 190.101.4.6
4A2_inet1_gw_ip: 190.101.4.5
4A2_inet2_ip: 190.102.4.6
4A2_inet2_gw_ip: 190.102.4.5
4A2_vpn1_ip: 172.29.4.253
4A2_vpn511_ip: 192.168.4.2
4A2_vpn512_ip: 10.2.2.43
4A2_vpn1_switch_int: Gi1/0/5


# Topology 5A-1 - Dual MPLS + TLOC
5A1: 5A-1
5A1_sys_ip: 2.1.5.1
5A1_mpls1_ip: 10.101.5.2
5A1_mpls1_gw_ip: 10.101.5.1
5A1_mpls2_ip: 10.102.5.2
5A1_mpls2_gw_ip: 10.102.5.1
5A1_vpn1_ip: 172.29.5.252
5A1_vpn511_ip: 192.168.5.1
5A1_vpn512_ip: 1.1.1.1
5A_vpn512_gw_ip: 10.2.2.254
5A_vpn1_vrrp_vip: 172.29.5.254
5A1_vpn1_switch_int: eth1/11
5A1_mpls1_switch_int: eth1/3
5A1_inet1_switch_int: eth1/4
5A_lan_vlan: vlan1150
5A_vm_ip1: 172.29.5.10
5A_vm_ip2: 172.29.5.11
5A_bgp_neighbor: 172.29.5.200

# Topology 5A-2 - Dual INET + TLOC
5A2: 5A-2
5A2_sys_ip: 2.1.5.2
5A2_inet1_ip: 190.101.5.6
5A2_inet1_gw_ip: 190.101.5.5
5A2_inet2_ip: 190.102.5.6
5A2_inet2_gw_ip: 190.102.5.5
5A2_vpn1_ip: 172.29.5.253
5A2_vpn511_ip: 192.168.5.2
5A2_vpn512_ip: 1.1.1.1
5A1_vpn1_switch_int: eth1/12

# Topology 6A-1 - Dual MPLS + TLOC
6A1: 6A-1
6A1_sys_ip: 2.1.6.1
6A1_mpls1_ip: 10.101.6.2
6A1_mpls1_gw_ip: 10.101.6.1
6A1_mpls2_ip: 10.102.6.2
6A1_mpls2_gw_ip: 10.102.6.1
6A1_vpn1_ip: 172.29.6.252
6A1_vpn511_ip: 192.168.6.1
6A1_vpn512_ip: 10.2.2.44
6A_vpn512_gw_ip: 10.2.0.254
6A_vpn1_vrrp_vip: 172.29.6.254
6A1_vpn1_switch_int: Gi1/0/7
6A1_mpls1_n9k_int: eth1/43.209
6A1_inet1_n9k_int: Eth1/43.109
6A_lan_vlan: vlan1160
6A_vm_ip1: 172.29.6.10
6A_vm_ip2: 172.29.6.11
6A_bgp_neighbor: 172.29.6.200
6A_IPSEC1_INT: Tunnel6
6A_IPSEC2_INT: Tunnel6

# Topology 6A-2 - Single INET1 + TLOC
6A2: 6A-2
6A2_sys_ip: 2.1.6.2
6A2_inet1_ip: 190.101.6.6
6A2_inet1_gw_ip: 190.101.6.5
6A2_vpn1_ip: 172.29.6.253
6A2_vpn511_ip: 192.168.6.2
6A2_vpn512_ip: 10.2.2.45
6A2_vpn1_switch_int: Gi1/0/9

# Topology 7A - Dual INET
7A: 7A
7A_sys_ip: 2.1.7.1
7A_inet1_ip: 199.101.7.2
7A_inet1_gw_ip: 199.101.7.1
7A_inet2_ip: 199.102.7.2
7A_inet2_gw_ip: 199.102.7.1
7A_vpn1_ip: 172.29.7.254
7A_vpn511_ip: 192.168.7.1
7A_vpn512_ip: 10.2.2.32
7A_vpn512_gw_ip: 10.2.2.254
7A_ospf_neighbor: 172.29.7.200
7A_inet1_switch_int: eth1/11
7A_inet2_switch_int: eth1/12
7A_vm_ip1: 172.29.7.10
7A_vm_ip2: 172.29.7.11
7A_lan_vlan: vlan1170
7A_ospf_external: 107.0.0.1/32
7A_IPSEC1_INT: Tunnel7
7A_IPSEC2_INT: Tunnel7
7A_IPSEC1_IP: 169.254.1.46
7A_IPSEC2_IP: 169.254.2.46

# Topology 8A - Dual INET
8A: 8A
8A_sys_ip: 2.1.8.1
8A_inet1_ip: 199.101.8.2
8A_inet1_gw_ip: 199.101.8.1
8A_vpn1_ip: 172.29.8.254
8A_vpn511_ip: 192.168.8.1
8A_vpn512_ip: 10.2.2.33
8A_vpn512_gw_ip: 10.2.0.254
8A_ospf_neighbor: 172.29.8.200
8A_IPSEC1_INT: Tunnel8
8A_IPSEC2_INT: Tunnel8
8A_lan_vlan: vlan1180
8A_vm_ip1: 172.29.8.10
8A_vm_ip2: 172.29.8.11

# Topology 9A-1 - MPLS1 + TLOC
9A1: 9A-1
9A1_sys_ip: 2.1.9.1
9A1_mpls1_ip: 10.101.9.2
9A1_mpls1_gw_ip: 10.101.9.1
9A1_vpn1_ip: 172.29.9.252
9A1_vpn511_ip: 192.168.9.1
9A1_vpn512_ip: 10.2.2.1
9A_vpn512_gw_ip: 10.2.0.254
9A_vpn1_vrrp_vip: 172.29.9.254
9A1_vpn1_switch_int: eth1/8
9A1_mpls1_switch_int: eth1/7
9A_lan_vlan: 1190
9A_vm_ip1: 172.29.9.10
9A_vm_ip2: 172.29.9.11
9A_ospf_neighbor: 172.29.9.200
9A_lan_vlan: vlan1190
9A_ospf_external: 109.0.0.1/32
9A_ospf_external_lo: 172.30.9.0/24
9A_IPSEC1_INT: Tunnel9
9A_IPSEC2_INT: Tunnel9

# Topology 9A-2 - MPLS2 + TLOC
9A2: 9A-2
9A2_sys_ip: 2.1.9.2
9A1_mpls2_ip: 10.102.9.2
9A1_mpls2_gw_ip: 10.102.9.1
9A2_vpn1_ip: 172.29.9.253
9A2_vpn511_ip: 192.168.9.2
9A2_vpn512_ip: 10.2.2.2
9A2_vpn1_switch_int: eth1/10

# Topology 10A - MPLS1 + INET1
10A: 10A
10A_sys_ip: 2.1.10.1
10A_mpls1_ip: 10.101.10.2
10A_mpls1_gw_ip: 10.101.10.1
10A_inet1_ip: 199.101.10.2
10A_inet1_gw_ip: 199.101.10.1
10A_vpn1_ip: 172.29.10.254
10A_vpn511_ip: 192.168.10.1
10A_vpn512_ip: 10.2.2.34
10A_vpn512_gw_ip: 10.2.0.254
10A_ospf_neighbor: 172.29.10.200
10A_mpls1_switch_int: eth1/19
10A_inet1_switch_int: eth1/20
10A_ospf_external: 110.0.0.1/32
10A_vm_ip1: 172.29.10.10
10A_vm_ip2: 172.29.10.11
10A_lan_vlan: vlan1200

# vEdge100B
100B_Prefixes: "15003"

# vEdge1000
1000_Prefixes: "38003"

# vEdge2000
2000_Prefixes: "76803"

# vEdge5000
BGP_Prefixes: "153001"

# ISR4331
IPSec1: 4331-2

# ISR4451
IPSec2: ISR4451-2

# ISR1100

# C1111

# Branch Switch #1 3064-1
br_sw1: 3064-1
br_sw1_ip: 10.2.2.26

# Branch Switch #2 3064-2
br_sw2: 3064-2
br_sw2_ip: 10.2.2.27

# DC Switch 3064-3
dc_sw: 3064-3
dc_sw_ip: 10.2.2.28

# Branch 3850-1
br_sw4: 3850-1
dc_sw_ip: 10.2.2.24

# Core N9K 9396PX
n9k_core: 9396PX
n9k_core_ip: 10.2.2.29

# OSPF
# The loopback from dual sites with ospf metric 20 and 100
9A_ospf_loopback_prefix: 172.30.9.0

# Ixia BPS Flows
BPS_FLOW_1A: 1A_LBO_DBO
BPS_FLOW_2A: 2A_LBO_DBO
BPS_FLOW_3A: 3A_LBO_DBO
BPS_FLOW_4A: 4A_LBO_DBO
BPS_FLOW_5A: 5A_LBO_DBO
BPS_FLOW_6A: 6A_LBO_DBO
BPS_FLOW_7A: 7A_LBO_DBO
BPS_FLOW_8A: 8A_LBO_DBO
BPS_FLOW_9A: 9A_LBO_DBO
BPS_FLOW_10A: 10A_LBO_DBO